local actions = require('telescope.actions')

local mappingTab = {
  i = {
    ['<cr>'] = actions.select_tab,
    ['<C-b>'] = actions.select_default,
  },
}

require('telescope').setup({
  defaults = {
    mappings = {
      i = {
        ['<esc>'] = actions.close,
        ['<cr>'] = actions.select_default + actions.center,
        ['<C-l>'] = actions.send_selected_to_loclist,
        ['<C-q>'] = actions.smart_send_to_qflist,
      },
    },
  },
  pickers = {
    -- Your special builtin config goes in here
    buffers = {
      sort_lastused = true,
      theme = 'ivy',
      mappings = {
        i = {
          ['<c-w>'] = actions.delete_buffer,
          ['<cr>'] = actions.select_default,
        },
        n = {
          ['<c-w>'] = actions.delete_buffer,
        },
      },
    },
    find_files = {
      theme = 'ivy',
      previewer = false,
    },
    oldfiles = {
      theme = 'ivy',
    },
    git_files = {
      theme = 'ivy',
      previewer = false,
    },
    lsp_dynamic_workspace_symbols = {},
  },
})

require('telescope').load_extension('fzf')
require('telescope').load_extension('aerial')
